com.unitech.lib.pax

## Enum PA768eEnums.FactoryReset

- java.lang.Object
- - java.lang.Enum<PA768eEnums.FactoryReset>
  - - com.unitech.lib.pax.PA768eEnums.FactoryReset

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<PA768eEnums.FactoryReset>
  Enclosing class:
    PA768eEnums

      public static enum PA768eEnums.FactoryReset
      extends java.lang.Enum<PA768eEnums.FactoryReset>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `Factory`
    `Reboot`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `short` | `value()`
    `static PA768eEnums.FactoryReset` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static PA768eEnums.FactoryReset[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### Reboot

          public static final PA768eEnums.FactoryReset Reboot

    - #### Factory

          public static final PA768eEnums.FactoryReset Factory

  - ### Method Detail

    - #### values

          public static PA768eEnums.FactoryReset[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (PA768eEnums.FactoryReset c : PA768eEnums.FactoryReset.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static PA768eEnums.FactoryReset valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### value

          public short value()